#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.2.0.2
visibility:           public
id:                   ghcide-1.2.0.2-3lJEgUXfkJwIuaQdFWeQKE
key:                  ghcide-1.2.0.2-3lJEgUXfkJwIuaQdFWeQKE
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  6837e8e421a035dbda1017894b4d9056
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.Core.UseStale Development.IDE.GHC.Compat
    Development.IDE.GHC.Error Development.IDE.GHC.ExactPrint
    Development.IDE.GHC.Orphans Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.2.0.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.2.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.2.0.2
hs-libraries:         HSghcide-1.2.0.2-3lJEgUXfkJwIuaQdFWeQKE
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-1LGHn3mri3197Gj34SIMPj
    aeson-1.5.6.0-KKLnIH6l1ju5f1LsAaB2FK array-0.5.4.0
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    base16-bytestring-1.0.1.0-bHnbhKusVyFomeD6pOEh3 binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.0.0-Bqyd9DEuRO1CkGthcIogTM
    case-insensitive-1.2.1.0-L4eezPrloIkFfLdkfuDqXK containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-AOLz3rC2RhMAw3d6zcmeco
    dependent-sum-0.7.1.0-6wYdJflLeoQDVHVqW5dxtZ directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-J0XMPXBDNjqLvoXACseYEI
    filepath-1.4.2.1 fingertree-0.1.4.2-56MEZoeCG3UEs5hPNPwbAZ
    fuzzy-0.1.0.0-LtkYkZ43Vz78hQgCTZ84VJ ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.4-Det6OhiNMJm5DuOAExI6h9
    ghc-exactprint-0.6.4-JRSvRSPyWmbBcnhHUmrOUW
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    ghc-trace-events-0.1.2.2-BiH0bU4psYw4WGq0mosl17
    haddock-library-1.10.0-FW1afkthmhyDgxzECv8Isl
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    heapsize-0.3.0.1-KDdIs0qj4OZEF0bF3bclQB
    hie-bios-0.7.5-57DmBYsw2UWjgirvk4set
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-BqZNSbAOj0j5ZjOUNDZONK
    hls-plugin-api-1.1.0.0-9SP3BexxWjJKcwaOcr5Sxn
    hslogger-1.3.1.0-DUbmwbOLDDG7jEP1LuaBbc
    implicit-hie-cradle-0.3.0.2-CchdVNMx4G0Ai1GmQdKGlM
    lens-5.0.1-167i7l6rbiSBm4dtFYmwmy
    lsp-1.2.0.0-7oBDdxzUXXGIk2KV6iI8Ee
    lsp-types-1.2.0.0-7tq4dJipNnlE5Xrm0nHNFW mtl-2.2.2
    network-uri-2.6.4.1-92yvtIIV9r4DFCfy93rBAD
    opentelemetry-0.6.1-JrZMB79nSqEKblZMXJfmKV
    optparse-applicative-0.16.1.0-S52gl7OfafHLRLHRkrUKV
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-3M09vDyHzT24AvubPgUYIZ
    prettyprinter-ansi-terminal-1.1.2-3e5SPixFvgkAIWsPmaFCfx
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-GhAeumJQJWNHBZ49oxj9yS
    rope-utf16-splay-0.3.2.0-1xRCLJMVwx8H9Pf6Csq7vO
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-DVtaT48Pz3UDvXAKjRjrBX
    shake-0.19.4-E9rSWgGAAPJ986FeLTzFjG
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-IodwWY487U1Fd6xHODewYK stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.15-HdzpmVOIKjWp6admWHtdh
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-Hta4uSSpiP48joPsanuYfX
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.3.0-GRVR7S4hON84E5j6gLfg6y

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

